BEGIN;
--
-- Create model DataModel_DATA_TS1_#DATE#
--
CREATE TABLE "DATA_TS1_#DATE#" ("id" BIGSERIAL PRIMARY KEY, "arcid" bigint NOT NULL, "dt" timestamp with time zone NOT NULL, "value" double precision NOT NULL, "value_min" double precision NULL, "value_max" double precision NULL, "quality" double precision NOT NULL, "dt_prev" double precision NULL, "dt_next" double precision NULL, "signal_id" bigint NOT NULL);
ALTER TABLE "DATA_TS1_#DATE#" ADD CONSTRAINT "DATA_TS1_#DATE#_signal_id_#DATE#_fk_signal_id" FOREIGN KEY ("signal_id") REFERENCES "signal" ("id") DEFERRABLE INITIALLY DEFERRED;
CREATE INDEX "DATA_TS1_#DATE#_signal_id_#DATE#" ON "DATA_TS1_#DATE#" ("signal_id");
COMMIT;
