import abc


class DataProvider:

    INDEX_DT = 0
    INDEX_VALUE = 1
    INDEX_VALUE_MIN = 2
    INDEX_VALUE_MAX = 3
    INDEX_QUALITY = 4
    INDEX_SIGNAL_ID = 5

    @abc.abstractmethod
    def load(self, context, signal):
        pass

    @abc.abstractmethod
    def load_multi(self, context, signals):
        pass
