from django.conf import settings


def dynamic_import(module_name, fromlist):
    module = __import__(settings.APP_MODULE + module_name, fromlist=fromlist) # TODO MM validation
    class_list = []

    for class_name in fromlist:
        class_def = getattr(module, class_name)
        class_list.append(class_def)

    return class_list
