from api_base.core.rex_core_value_reader import RexCoreValueReader as BaseRexCoreValueReader
from api_base.core.dynamic_import import dynamic_import

from api_database.models import get_data_model


Signal, Rexcore = dynamic_import(".models", ["Signal", "Rexcore"])


class RexCoreValueReader(BaseRexCoreValueReader):

    def _get_signal_object(self, signal_id):
        signal = Signal.get_one_signal_by_pk(signal_id)
        return signal

    def _get_connection_object(self, rexcore_id):
        rexcore = Rexcore.get_one_connection_by_pk(rexcore_id)
        return rexcore
